QGIS Application - Bug report #19180
Treating UUID like text
2018-06-12 03:28 PM - Rémi Desgrange

Status: Closed

Priority: Normal

Assignee:

Category: DB Manager

Affected QGIS version:3.0.3 Regression?: No

Operating System: all Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 27009
Description

| have layer from postgis and here are some call from qgis 3 (from 3.0.0 to qgis 3.0.3) that makes errors :

SELECT "id"::text FROM (SELECT DISTINCT "id" FROM "my_schema"."v_mylayer" WHERE "id" ILIKE

'%41bbe618-5399-4ca1-a50c-4be1aldacb9d1%' ORDER BY "id") foo

(this is from postgresql logs)

v_mylayer is a view. Postgresql 10.4, postgis 2.4. this error appends on all operating system, mac os, linux windows (7&10)

Associated revisions

Revision e3f63d88 - 2018-09-19 01:17 PM - Jiirgen Fischer

postgres provider: cast to text in uniqueStringsMatching (fixes #19180)

History

#1 - 2018-09-19 10:45 AM - Rémi Desgrange

This bug is still present in 3.2.3, on all OS. It also break the ability to cut a linestring. Since it want to created a new uuid like "<uuid>_1"

#2 - 2018-09-19 01:19 PM - Jiirgen Fischer
- % Done changed from 0 to 100
- Status changed from Open to Closed

Applied in changeset commit:qgis|e3f63d8811506791ec197b6356cb7e9c4059fe03.

#3 - 2018-09-19 01:20 PM - Jiirgen Fischer
- Resolution set to fixed/implemented
